/*
 * Front-end to use samples from HobbiRewl proggies.
 */

#ifdef SOUND_SUPPORT
#include "soundIt.h"
#include "hr_general.h"

/* Sound device name.*/
#define HR_SOUND_DEVICE "/dev/dsp"
/* Number of samples in use*/
#define HR_SOUND_MAX_SAMPLES 4
/* Sample playback frequency */
#define HR_SOUND_SAMPLE_RATE 11000
/* Number of channels.*/
#define HR_SOUND_CHANNELS 4


Sample sample[HR_SOUND_MAX_SAMPLES];

/* Init sound playback system.
 * Returns EXIT_SUCCESS or EXIT_FAILURE.
 */
int hr_sound_init(){
	return Snd_init(HR_SOUND_MAX_SAMPLES,&sample[0],
						 HR_SOUND_SAMPLE_RATE,
						 HR_SOUND_CHANNELS,HR_SOUND_DEVICE);
}


/* Play a sample.*/
int hr_sample_play(int sample,int channel,int frequency,int volume,int pan){
	Snd_effect(sample,channel);
	return 0;
}


/* Control what a certain channel does.
 * This one is used to change volume, freq etc...*/
int hr_channel_control(int channel,int mode,int arg){
	return 0;
}


/* Load a sample into memory.
 * Returns 0 if no error occurs, !0 otherwise.*/
int hr_sample_load(unsigned char *name,Sample *sample){
	return Snd_loadRawSample(name,sample);
}


/* Frees memory and so on.*/
int hr_sound_close(){
	return Snd_restore();
}
#endif
